/* 🔥 Modern Search Bar with Inside Icon 🔥 */
.search-bar {
    position: relative;
    width: 380px;
    flex: 1;
    height: 36.5px;
    padding-left: 12px;
    font-size: 16px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(192, 192, 192);
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
    width: 0;
}

.search-bar input {
    width: 100%;
    padding: 12px 15px;
    padding-right: 40px;  /* Space for the icon */
    font-size: 16px;
    border: 2px solid #4CAF50;
    border-radius: 50px;
    outline: none;
    transition: all 0.3s ease-in-out;
}

.search-button{
    height: 40px;
    width: 40px;
    background-color: rgb(240, 240, 240);
    border-width: 1px;
    border-style: solid;
    border-color: rgb(192, 192, 192);
    margin-left: -2px;
    padding-right: 10px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
  }


.search-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #4CAF50;
    width: 39px;
    height: 37px;
    font-size: 18px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
}



/* Change icon color when input is focused */
.search-bar input:focus + .search-icon {
    color: #388E3C;
}

.search-button .tooltip{
    font-family: Roboto, Arial;
    position: absolute;
    background-color: gray;
    color: white;
    padding-top: 4px;
    padding-bottom: 4px;
    padding-right: 8px;
    padding-left: 8px;
    border-radius: 2px;
    font-size: 12px;
    bottom: -30px;
    opacity: 0;
    transition: opacity 0.15s;
    pointer-events: none;
    white-space: nowrap;
    }   

    .search-button:hover .tooltip{
        opacity: 1;
            }

 @media (max-width: 768px) {
    .search-bar {
        position: relative;
        width: 200px;
        flex: 1;
        height: 20.5px;
        margin-top: 5px;
    }

    .search-button{
        margin-top: 5px;
    }

    .search-icon,
    .search-button{
        width: 26px;
        height: 24px;
    }


 }




